<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <div class="container-fluid" nz-col nzSpan="24">
    <div class="form">
      <div nz-row class="form-row">
        <div nz-col nzSm='12' nzLg='8' class="form-row__left">
          <input nz-input class="form-row__input" placeholder="{{'common.label.search' | translate}}" [(ngModel)]="textFilter" [autofocus]="true"
            (keyup.enter)="search()" trim/>
          <mb-button class="btn-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="search()"
                     mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}"></mb-button>
        </div>
        <div nz-col nzSpan="12" class="form-row__right">
          <mb-button *ngIf="objFunction.import" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}"
                     mbButtonTextColor="#141ED2" (click)="doImportData()"></mb-button>
          <mb-button *ngIf="objFunction.create" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="create()"
            mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.add' | translate}}"></mb-button>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="app-list">
  <div class="data-table" oncontextmenu="return false;">
    <nz-table class="data-table-content" #basicTable [nzData]="listOfMap" [nzShowPagination]="false" [nzScroll]="{ y: '550px' }" [nzPageSize]="listOfMap.length" nzSize='small'>
      <thead>
        <tr class="table-header">
          <th scope="col" class="text-nowrap">{{'system.resource.label.table.code' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.resource.label.table.name' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.resource.label.table.app' | translate}}</th>
          <th scope="col" nzWidth="100px" nzRight="0px" class="text-nowrap text-center" *ngIf="objFunction.edit || objFunction.delete"></th>
        </tr>
      </thead>
      <tbody>
        <ng-container *ngFor="let data of basicTable.data">
          <ng-container *ngFor="let item of mapOfExpanded[data.key]; trackBy: trackByFn">
            <tr class="row-table" *ngIf="(item.parent && item.parent.expand) || item.parent == null">
              <td [nzIndentSize]="item.level! * 20" [(nzExpand)]="item.expand"
                (nzExpandChange)="collapses(mapOfExpanded[data.key], item, $event)">
                {{ item.code }}
              </td>
              <td>{{ item.name }}</td>
              <td>{{ generateAppName(item.type) }}</td>
              <td nzWidth="100px" nzRight="0px" class="text-center" *ngIf="objFunction.edit || objFunction.delete">
                <mb-button-icon *ngIf="objFunction.edit" mbButtonType="EDIT" (click)="update(item)"> </mb-button-icon>
                <mb-button-icon *ngIf="objFunction.delete" mbButtonType="DELETE" (click)="deleteItem(item)"> </mb-button-icon>
              </td>
            </tr>
          </ng-container>
        </ng-container>
      </tbody>
    </nz-table>
  </div>
</div>

<mb-import [showContent]='isImportData'
                 (onCloseModal)='doCloseImport($event)'
                 [urlApiDownloadTemp]='urlApiDownloadTemp'
                 [urlApiImport]='urlApiImport'>
</mb-import>
